{% load static %}
<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{% block title %} Mask detection {% endblock title %}</title>

    <link rel="stylesheet" type="text/css" href="{% static 'css/style.css' %}">
</head>
<body>
    <h1>MASK DETECTION</h1>
    <!-- Container -->
    <div class="container">
        {% block container %}
        <form method="POST" enctype="multipart/form-data">
            {{ form.as_p }}
            {% csrf_token %}
            <!-- Input -->
            <div class="input-img">
                <input type="file" id="default-file" hidden="hidden" accept="image/*" multiple/>
            </div>
            <div class="predict">
                <input type="submit" value="Predict" class="btn">
                {% if predict %}
                    <p style="font-size:50px">{{ predict }}</p>
                {% endif %}
            </div>
        </form>
        {% endblock container %}
    </div>

    <!-- Image Preview -->
    <div class="preview_holder">
        <div id="preview">
            <img src="{% static 'app.js' %}" id="preview_img" class="preview_img" />
            <span id="preview_text" class="preview_text">Image Preview</span>
        </div>
    </div>

    <!-- Video Preview -->
<!--        <button id="start-camera">Start Camera</button>-->
<!--        <video id="video" width="320" height="240" autoplay></video>-->
<!--        <button id="click-photo">Take Picture</button>-->
<!--        <canvas id="canvas" width=320 height=240></canvas>-->

    <div class="preview_holder2">
        <div id="preview_vid">
            <img src="{% static 'app.js' %}" id="preview_v" class="preview_v" />
        </div>
    </div>

    {% block script %}
        <script type="text/javascript" src="{% static 'app.js' %}"></script>
    {% endblock script %}
</body>
</html>